# enchants.yml

Below is some help regarding to this file, if you did not know already you can make AS MANY enchants you want using the **Enchant Fields** found below in enchants.yml following YAML formatting.

## Enchant Fields

**enabled** - whether the enchant is enabled or not\
**id** - unique identifier for the enchant\
**default-level** - the default level of the enchant\
**max-level** - the highest level that the enchant can be upgraded to\
**chance** - the likelihood of the enchant activating  \
**chance-per-upgrade** - for every additional level of an enchant, this provides a greater chance of activating\
**tokens-per** - this is the amount of the plugin currency that is given when the enchant activates\
**additional-tokens-per-upgrade** - additional amount of plugin currency per level\
**command-dispatch-type** - "RANDOM" or "ALL" (self-explanatory)\
**commands** - commands (without /) that can be ran when the enchant activates (array)\
**messages** - these are sent to the player when the reward is activated (array)\
**public-broadcast-message-when-activated** - a single message broadcasted on activation\
**extra-drops-per-level** - refers to how much extra crop is given per level\
**expPer** - exp per activation\
**additional-exp-per-upgrade** - extra exp per activation\
**money-per** - money per activation\
**additional-money-per-upgrade** - extra money per activation\
**shockwave** - whether an enchant has shockwave (a radius breaking enchant)\
**shockwave-radius** - radius of the "shockwave"\
**additional-shockwave-per-upgrade** - additional radius per level\
**holding-potions-amplifier-increase-per-level** - increase in potion amplifier per level\
**holding-potions** - e.g. "FAST\_DIGGING:-1"  - format is POTION:AMPLIFIER (array)\
**custom-economy** - Vault economy name or class\
**custom-economy-per** - amount of custom economy\
**additional-custom-economy-per-upgrade** - additional amount of custom economy per upgrade\
Example:

Ability to natively hook into multiple vault economies, below is an **example** of how to implement it in enchants.yml ("GoldEconomy" is a made up plugin for showcase purpose only)

```yaml
# Create your own enchants here.
enchants:
- id: gold
  enabled: true
  default-level: 0
  max-level: 1
  chance: 100
  custom-economy: 'GoldEconomy'
  custom-economy-per: 1
  additional-custom-economy-per-upgrade: 1
```

## Having errors relating to this file/yaml?

Copy and paste the contents of the file into <https://codebeautify.org/yaml-validator>[ ](https://codebeautify.org/yaml-validator)and click "Validate YAML", it should then provide steps to where a config error might have occurred.

{% code lineNumbers="true" %}

```yaml

# ID: 'token_finder'
token-finder-enchant:
  enabled: true
  chance: 25.0
  chance-per-upgrade: 0.3
  default-level: 1
  max-level: 15
  tokens-per: 1
  additional-tokens-per-upgrade: 1
  required-prestige-level: 0
  command-dispatch-type: ALL
  commands: []
  messages: []

# ID: 'spawner_finder'
spawner-finder-enchant:
  enabled: true
  chance: 0.5
  chance-per-upgrade: 0.01
  default-level: 1
  max-level: 15
  required-prestige-level: 0
  command-dispatch-type: RANDOM
  commands:
  - ss give {player} blaze 1
  - ss give {player} zombie 1
  messages:
  - '&e&lTREASURE &8&l| &dYou were lucky and found a &l&nspawner&r&d while using your
    harvester hoe!'

# ID: 'key_finder'
key-finder-enchant:
  enabled: true
  chance: 0.5
  chance-per-upgrade: 0.01
  default-level: 1
  max-level: 15
  required-prestige-level: 0
  command-dispatch-type: RANDOM
  commands:
  - crate give {player} default 1
  - crate give {player} rare 1
  - crate give {player} epic 1
  - crate give {player} legendary 1
  messages:
  - '&e&lTREASURE &8&l| &dYou were lucky and found a &l&nkey&r&d while using your
    harvester hoe!'

# ID: 'harvest_booster'
harvest-booster-enchant:
  enabled: true
  chance: 100.0
  chance-per-upgrade: 0.0
  default-level: 0
  max-level: 1
  extra-drops-per-level: 1
  required-prestige-level: 0
  command-dispatch-type: ALL
  commands: []
  messages: []

# ID: 'autosell'
autosell-enchant:
  enabled: true
  chance: 100.0
  chance-per-upgrade: 0.0
  default-level: 0
  max-level: 1
  autosell: true
  required-prestige-level: 0
  command-dispatch-type: ALL
  commands: []
  messages: []

# ID: 'money_finder'
money-finder-enchant:
  enabled: true
  chance: 0.5
  chance-per-upgrade: 0.01
  default-level: 1
  max-level: 15
  money-per: 5000.0
  additional-money-per-upgrade: 2500.0
  required-prestige-level: 0
  command-dispatch-type: ALL
  commands: []
  messages:
  - '&e&lTREASURE &8&l| &dYou were lucky and found &l&n{0}&r&d while using your harvester
    hoe!'

# ID: 'exp_finder'
exp-finder-enchant:
  enabled: true
  chance: 0.5
  chance-per-upgrade: 0.01
  default-level: 1
  max-level: 15
  exp-per: 500
  additional-exp-per-upgrade: 250
  required-prestige-level: 0
  command-dispatch-type: ALL
  commands: []
  messages:
  - '&e&lTREASURE &8&l| &dYou were lucky and found &l&nexp&r&d while using your harvester
    hoe!'

# ID: 'haste'
haste-enchant:
  enabled: true
  chance: 100.0
  chance-per-upgrade: 0.0
  default-level: 0
  max-level: 3
  holding-potions:
  - FAST_DIGGING:-1
  holding-potions-amplifier-increase-per-level: 1
  required-prestige-level: 0
  command-dispatch-type: RANDOM
  commands: []
  messages: []

# ID: 'shockwave'
shockwave-enchant:
  enabled: true
  chance: 100.0
  chance-per-upgrade: 0.0
  default-level: 0
  max-level: 1
  shockwave: true
  shockwave-radius: 1
  additional-shockwave-per-upgrade: 1
  required-prestige-level: 0
  command-dispatch-type: ALL
  commands: []
  messages: []

# ID: 'soulbound'
# Disabled by default. On death, the item will not drop and will instead be put in the player's inventory on respawn.
soulbound-enchant:
  enabled: false
  chance: 100.0
  chance-per-upgrade: 0.0
  default-level: 0
  max-level: 1
  soulbound: true
  required-prestige-level: 0
  command-dispatch-type: ALL
  commands: []
  messages: []

# Create your own enchants here.
enchants:
- id: example_enchant
  enabled: false
  default-level: 1
  max-level: 15
  chance: 50.0
  chance-per-upgrade: 0.0
  command-dispatch-type: ALL
  commands: []
  messages:
  - This is an example enchant that activates 50% of the time. Disabled by default.
  tokens-per: 0
  additional-tokens-per-upgrade: 0
  exp-per: 0
  additional-exp-per-upgrade: 0
  autosell: false
  soulbound: false
  money-per: 0.0
  additional-money-per-upgrade: 0.0
  chance-effects: []
  extra-money-per-sell-level: 0
  extra-drops-per-level: 0
  public-broadcast-message-when-activated: ''
  holding-potions: []
  holding-potions-amplifier-increase-per-level: 0
  shockwave: false
  shockwave-radius: 0
  additional-shockwave-per-upgrade: 1
  custom-economy: ''
  custom-economy-per: 0.0
  additional-custom-economy-per-upgrade: 0.0
  required-prestige-level: 0

# Do not change this, this is for old enchant chances. Not Legacy versions.
use-legacy-chances: false

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mantic.dev/mantichoes/config-files/enchants.yml.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
